/** 	This class can replace the default class (OpenCardPropertyFileLoader) to load the Opencard properties
 * 	For details, see OpenCard Framework 1.2 Programmers Guide / Chapter 4 / Loading properties with your own mechanism page 19
 * 	The property OpenCard.loaderClassName must be set with the class name
 */ 	Example: java -DOpenCard.loaderClassName=PropertiesConfigurer TestOCF

public class PropertiesConfigurer
	implements opencard.core.util.OpenCardConfigurationProvider {
	static String[] props={
		"OpenCard.services","com.ibm.opencard.factory.MFCCardServiceFactory opencard.opt.util.PassThruCardServiceFactory",
		"OpenCard.terminals","com.gemplus.opencard.terminal.GemplusCardTerminalFactory|MyGemCore|GCR410|COM1",
		"OpenCard.trace","opencard:5"
	};

  	public void loadProperties() {
		System.err.println("PropertiesConfigurer");
		for(int i=0;i<props.length;i+=2){
			String oldval=java.lang.System.setProperty(props[i],props[i+1]);
			System.err.println(	"Property:" +	props[i]
					+	" OldValue:" +	oldval
					+	" NewValue:" +	props[i+1]
			);
		}
	}
}